- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeView Class Reference
[Ipe Document]

A view of the page (set of layers, duration, effect, transition style). More...

List of all members.

## Public Types

- enum TEffect {
  ENormal, ESplitHI, ESplitHO, ESplitVI,
  ESplitVO, EBlindsH, EBlindsV, EBoxI,
  EBoxO, EWipeLR, EWipeBT, EWipeRL,
  EWipeTB, EDissolve, EGlitterLR, EGlitterTB,
  EGlitterD
  }

## Public Member Functions

- IpeView ()
- IpeView (const IpeXmlAttributes &attr)
- void SaveAsXml (IpeStream &stream) const
- void PageDictionary (IpeStream &stream) const
- int CountLayers () const
- IpeString Layer (int i) const
- bool HasLayer (IpeString name) const
- void DeleteLayer (IpeString name)
- void AddLayer (IpeString name)
- void ClearLayers ()
- IpeString Active () const
- void SetActive (const IpeString &l)
- TEffect Effect () const
- void SetEffect (TEffect e)
- int Duration () const
- void SetDuration (int secs)
- int TransitionTime () const
- void SetTransitionTime (int secs)

## Detailed Description

A view of the page (set of layers, duration, effect, transition style).

An IpePage contains a whole list of these.

## Member Enumeration Documentation

enum IpeView::TEffect

The various fancy effects that Acrobat Reader will show.

## Constructor & Destructor Documentation

IpeView::IpeView | ( |  | ) |

Construct default view.

IpeView::IpeView | ( | const IpeXmlAttributes & | attr | ) |

Create a view from XML tag.

## Member Function Documentation

void IpeView::SaveAsXml | ( | IpeStream & | stream | ) | const

Write a single XML tag representing this view.

void IpeView::PageDictionary | ( | IpeStream & | stream | ) | const

Write part of page dictionary.

Write part of page dictionary indicating effect, including the two keys /Dur and /Trans.

int IpeView::CountLayers | ( |  | ) | const`[inline]`

How many layers are visible in this view?

IpeString IpeView::Layer | ( | int | i | ) | const`[inline]`

Return name of one visible layer.

bool IpeView::HasLayer | ( | IpeString | name | ) | const

Does this view contain the layer name?

void IpeView::DeleteLayer | ( | IpeString | name | ) |

Remove the layer name from this view.

void IpeView::AddLayer | ( | IpeString | name | ) |

Add layer name to this view.

It is okay if the view already contains this layer.

IpeString IpeView::Active | ( |  | ) | const`[inline]`

The layer active in this view.

void IpeView::SetActive | ( | const IpeString & | l | ) | `[inline]`

Set active layer.

TEffect IpeView::Effect | ( |  | ) | const`[inline]`

The transition effect when switching to this view.

void IpeView::SetEffect | ( | TEffect | e | ) | `[inline]`

Set transition effect for switching to this view.

int IpeView::Duration | ( |  | ) | const`[inline]`

How long will this view be shown (in secs)?

void IpeView::SetDuration | ( | int | secs | ) | `[inline]`

Set duration of this view (in secs).

int IpeView::TransitionTime | ( |  | ) | const`[inline]`

The transition time for the effect (in secs).

void IpeView::SetTransitionTime | ( | int | secs | ) | `[inline]`

Set transition time for the effect (in secs).

The documentation for this class was generated from the following files:

- ipepage.h
- ipepage.cpp